#include <SIM800.h>

#define __PWRKEY__ 11
#define __RESET__ 12

SIM800Core  core;
SIM800FileSystem fs;

void setup()
{
    Serial.begin(9600);
    while(!Serial);    
    delay(1000);
    
    core.host.echo(false);
}

void loop()
{
    //Listing
    Serial.println("Listing C:\\");
    if(fs.list("C:\\")){
        Serial.println(F("Listing failed"));
    }else{
        Serial.println(F("Listing succeed"));
    }
    
    //Create new file
    Serial.print("Creating file: ");
    if(fs.createFile("C:\\test.txt"))
        Serial.println("OK");
    else
        Serial.println("Fail");
        
    //Delete file
    Serial.print("Deleting file: ");
    if(fs.deleteFile("C:\\tesffft.txt"))
        Serial.println("OK");
    else
        Serial.println("Fail");    
  
    
    //Create file
    Serial.print("Creating file: ");
    if(fs.createFile("C:\\tes1111t.txt"))
        Serial.println("OK");
    else
        Serial.println("Fail");
    
    //Writing file
    fs.writeFile("C:\\test.txt", "123456789", 0);
    
    //Reading file
    Serial.print("File: ");
    Serial.println(fs.readFile("C:\\test.txt", 0, 100, 1));
    
    //Getting file size
    Serial.print("Filesize: ");    
    uint16_t size = fs.fileSize("C:\\test.txt");
    if(size == -1)
        Serial.println("Fail");
    else
        Serial.println(size);
        
    Serial.println(F("Entering endless loop while(1)"));
    while(1);
}
