/*
 * SIM800.h
 * 
 * Copyright 2014 Stefan Mavrodiev <support@olimex.com>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 */
#ifndef __SIM800_H_
#define __SIM800_H_

#ifndef  __AVR_ATmega32U4__
#error  "This library is written for OLINUXINO-NANO."
#endif

#include <SIM800Core.hpp>
#include <SIM800Bluetooth.hpp>
#include <SIM800FileSystem.hpp>
#include <SIM800IPApplication.hpp>
#include <SIM800Email.hpp>
#include <SIM800GSM.hpp>


#endif
