#ifndef __SIM800GSM_H__
#define __SIM800GSM_H__

#include <SIM800HostCommunication.hpp>

class SIM800GSM
{
    private:
        SIM800HostCommunication host;

    public:
        SIM800GSM();

        bool Call (String Number);
        bool HangUp ();
        bool SendSMS(String Number, String Text);
        bool ReadSMS(char Index[]);
        bool ReadAllSMS();
		bool CallerIDVisible(bool Val);
		bool GetCallerID (char Number[]);
};
#endif
