#ifndef __SIM800HostCommunication_H__
#define __SIM800HostCommunication_H__

#include <Arduino.h>

class SIM800HostCommunication
{
    private:
    
    public:
        SIM800HostCommunication();
        
        void begin(uint16_t baudRate=9600);
        void flush();
        void echo(bool enabled);
        void write(String text);
        
        String writeCommand(String ATcommand, uint16_t responceDelay);
        String readEvent(uint16_t eventDelay);
        
        
        bool checkResponce(String responce);
};
#endif
